import type { Session, Auth, User } from "../types.js";
declare type GetSession = (sessionId: string) => Promise<Session>;
export declare const getSessionFunction: (auth: Auth) => GetSession;
declare type GetSessionUser = (sessionId: string) => Promise<{
    user: User;
    session: Session;
}>;
export declare const getSessionUserFunction: (auth: Auth) => GetSessionUser;
declare type ValidateSession = (sessionId: string, setSessionCookie: SetSessionCookie) => Promise<Session>;
declare type SetSessionCookie = (session: Session | null) => void;
export declare const validateSessionFunction: (auth: Auth) => ValidateSession;
declare type ValidateSessionUser = (sessionId: string, setSessionCookie: SetSessionCookie) => Promise<{
    user: User;
    session: Session;
}>;
export declare const validateSessionUserFunction: (auth: Auth) => ValidateSessionUser;
declare type GenerateSessionId = () => [string, number, number];
export declare const generateSessionIdFunction: (auth: Auth) => GenerateSessionId;
declare type CreateSession = (userId: string) => Promise<Session>;
export declare const createSessionFunction: (auth: Auth) => CreateSession;
declare type InvalidateSession = (sessionId: string) => Promise<void>;
export declare const invalidateSessionFunction: (auth: Auth) => InvalidateSession;
declare type InvalidateAllUserSessions = (userId: string) => Promise<void>;
export declare const invalidateAllUserSessionsFunction: (auth: Auth) => InvalidateAllUserSessions;
declare type DeleteDeadUserSessions = (userId: string) => Promise<void>;
export declare const deleteDeadUserSessionsFunction: (auth: Auth) => DeleteDeadUserSessions;
declare type RenewSession = (sessionId: string, setSessionCookie: SetSessionCookie) => Promise<Session>;
export declare const renewSessionFunction: (auth: Auth) => RenewSession;
export {};
