import { LuciaError } from "../../error.js";
export const getUserByProviderIdFunction = (auth) => {
    const getUserByProviderId = async (provider, identifier) => {
        const providerId = `${provider}:${identifier}`;
        const databaseUser = await auth.configs.adapter.getUserByProviderId(providerId);
        if (!databaseUser)
            throw new LuciaError("AUTH_INVALID_PROVIDER_ID");
        const user = auth.configs.transformUserData(databaseUser);
        return user;
    };
    return getUserByProviderId;
};
export const getUserFunction = (auth) => {
    const getUser = async (userId) => {
        const databaseUser = await auth.configs.adapter.getUser(userId);
        if (!databaseUser)
            throw new LuciaError("AUTH_INVALID_USER_ID");
        const user = auth.configs.transformUserData(databaseUser);
        return user;
    };
    return getUser;
};
