import type { Auth, User } from "../../types.js";
declare type CreateUser = (provider: string, identifier: string, options?: {
    password?: string;
    attributes?: Lucia.UserAttributes;
}) => Promise<User>;
export declare const createUserFunction: (auth: Auth) => CreateUser;
declare type UpdateUserProviderIdToken = (userId: string, provider: string, identifier: string) => Promise<User>;
export declare const updateUserProviderIdFunction: (auth: Auth) => UpdateUserProviderIdToken;
declare type UpdateUserAttributes = (userId: string, userData: Partial<Lucia.UserAttributes>) => Promise<User>;
export declare const updateUserAttributesFunction: (auth: Auth) => UpdateUserAttributes;
declare type UpdateUserPassword = (userId: string, password: string | null) => Promise<User>;
export declare const updateUserPasswordFunction: (auth: Auth) => UpdateUserPassword;
declare type DeleteUser = (userId: string) => Promise<void>;
export declare const deleteUserFunction: (auth: Auth) => DeleteUser;
export {};
